Subject: Re: bug#63102: Bug Report [ latest HEAD version -- tramp-loaddefs.el.gz free variable warning ]

From: Michael Albinus <[email-masked]>
Date: Thu, 27 Apr 2023 19:45:16 +0200

Version: 30.1

asocial-hired.0l--- via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> Hello,

Hi,

> I built emacs from source on Saturday (latest HEAD version — 30.0.50), and I receive the following error pop up occasionally while using shell, and also randomly other activities (always upon opening a new window):
>
> ```
> Warning (comp): tramp-loaddefs.el.gz:745:2478: Warning: reference to free variable ‘tramp-remote-path’
> ```

Thanks for the headsup. I've fixed this in master, closing the bug.

> Best,
> Emacs user

Best regards, Michael.